Ruby - Feature #3592

"1.0+0.0i".to_c.to_f can't converted into Float
07/21/2010 04:03 PM - phasis68 (Heesob Park)

Status: Closed
Priority: Normal
Assignee:

Target version:

Description
=begin
Hi,

(1.0+0i).to_f results to 1.0, whereas (1.0+0.0i).to_f generate RangeError.

irb(main):001:0> "1.0+0i".to_c.to_f

=>1.0

irb(main):002:0> "1.0+0.0i".to_c == 1.0

=> true

irb(main):003:0> "1.0+0.0i".to_c.to_f

RangeError: can't convert 1.0+0.0i into Float

from (irb):3:in to_f' from (irb):3 from c:/usr/bin/irb.bat:20:in '

It would be nice if "1.04+0.0i".to_c.to_f results to 1.0.
Regards,

Park Heesob
=end

History

#1 - 07/28/2010 10:37 AM - phasis68 (Heesob Park)

=begin
This issue was solved with changeset r28725.

Please close this.

=end

#2 - 07/28/2010 11:27 AM - marcandre (Marc-Andre Lafortune)
- Status changed from Open to Closed

=begin

=end
